package com.cf.imes.module.system.service.machine;

import com.cf.imes.framework.common.pojo.PageResult;
import com.cf.imes.module.system.controller.admin.machine.vo.SettingPageReqVO;
import com.cf.imes.module.system.dal.dataobject.machine.MachineDO;

import java.io.IOException;
import java.util.List;

/**
 * @author there
 */
public interface MachineSettingService {
    PageResult<MachineDO> page(SettingPageReqVO pageReqVO) throws IOException;

    String create(MachineDO machineDO) throws Exception;

    String update(MachineDO machineDO) throws IOException;

    Boolean delete(String id) throws IOException;

    Boolean batchDelete(List<String> ids) throws Exception;

    MachineDO get(String id) throws IOException;
}
